[version]
current = "1.4.16"

# Example of a semver regexp.
# Make sure this matches current_version before
# using tbump
regex = '''
  (?P<major>\d+)
  \.
  (?P<minor>\d+)
  \.
  (?P<patch>\d+)
  (rc
    (?P<candidate>\d+)
  )?
  '''

[git]
# The current version will get updated when tbump is run
message_template = "Bump version: 1.4.16 → {new_version}"
tag_template = "v{new_version}"

# For each file to patch, add a [[file]] config
# section containing the path of the file, relative to the
# tbump.toml location.
[[file]]
src = "tbump.toml"
# Restrict search to make it explicit why tbump.toml
# is even included as a file to bump, as it will get
# its version.current attribute bumped anyway.
search = "Bump version: {current_version} → "

[[file]]
src = "README.md"

[[field]]
# the name of the field
name = "candidate"
# the default value to use, if there is no match
default = ""
